import { world, BlockLocation, EntityQueryOptions, system } from "@minecraft/server";

system.events.beforeWatchdogTerminate.subscribe(data => {
	data.cancel = true;
});


let dim = null;

world.events.tick.subscribe(() =>{ 
	for (let p of world.getPlayers()) {
		const o = world.getDimension("overworld");
		const n = world.getDimension("nether");
		const e = world.getDimension("the end");
		const bl = new BlockLocation(
			Math.floor(p.location.x),
			Math.floor(p.location.y),
			Math.floor(p.location.z)
			);
		if (o.getEntitiesAtBlockLocation(bl).includes(p)){
			dim = "overworld";
		}

		else if (n.getEntitiesAtBlockLocation(bl).includes(p)){
			dim = "nether";
		}

		else if (e.getEntitiesAtBlockLocation(bl).includes(p)){
			dim = "the end";
		}


		if(dim == "overworld"){
			p.runCommandAsync(`function gas_mask`);
		}
		
	}

});

